Skip to content
Start here

Lists all indicator types

Deprecated
GET/accounts/{account_id}/cloudforce-one/events/indicatorTypes

This Method is deprecated. Please use /events/dataset/:dataset_id/indicatorTypes instead.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
Path ParametersExpand Collapse
account_id: optional string

Account ID.

ReturnsExpand Collapse
items: object { type }
type: string
type: string

Lists all indicator types

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/cloudforce-one/events/indicatorTypes \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "items": {
    "type": "string"
  },
  "type": "array"
}
Returns Examples
{
  "items": {
    "type": "string"
  },
  "type": "array"
}